Home/Support/Support Forum/Are there plans for a Linux kernel 4.x RealPort driver?
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Are there plans for a Linux kernel 4.x RealPort driver?

0 votes
I'm running the following version of Ubuntu ("lsb_release -a" output):

Distributor ID: Ubuntu
Description: Ubuntu 15.10
Release: 15.10
Codename: wily

Which is running the following kernel version ("uname -r" output):

4.2.0-25-generic

I would like to install and use the Linux RealPort driver to use a Digi PortServer TS 16 MEI. Following the directions here:

http://knowledge.digi.com/articles/Knowledge_Base_Article/HOW-TO-Install-the-RealPort-Driver-in-Ubuntu-Linux

I attempted to install the driver (40002086_W.src.rpm) without success (compile time error). Moving backwards, I downloaded the source tarball ( 81000137_W.tgz ), extracted it, and then attempted to follow the instructions in release_notes.txt without success.

And yes, I am aware that THIS IS NOT SUPPORTED according to the release notes (release notes only promise support for the 3.x.x kernel).

In case you're interested, the errors during build ("make all") look similar to the following:

dgrp_net_ops.c:502:31: error: ‘TTY_CLOSING’ undeclared (first use in this function)

Is there a known workaround for this, or is there an expected time when the 4.x kernel will be supported for the RealPort driver?
asked Jan 27, 2016 in Portserver TS by jmarley New to the Community (1 point)

Please log in or register to answer this question.

2 Answers

0 votes
Can you try the following release candidate and post your results?

ftp://ftp1.digi.com/support/beta/linux/dgrp/40002086_X2P.src.rpm
answered Jan 27, 2016 by userid0 Veteran of the Digi Community (2,158 points)
I get further, but still no joy.  Since there's an 8K character max here, but the log is 37K in length, I can't post a complete log.  Here's the beginning:

root@LCO-U236487D001:~/Downloads# sudo rpmbuild --rebuild 40002086_X2P.src.rpm

Installing 40002086_X2P.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.IyVzoG
+ umask 022
+ cd /home/myusername/rpmbuild/BUILD
+ cd /home/myusername/rpmbuild/BUILD
+ rm -rf dgrp-1.9
+ /bin/gzip -dc /home/myusername/rpmbuild/SOURCES/dgrp-1.9.tgz
+ /bin/tar -xvvf -
drwxr-xr-x root/root         0 2015-09-24 15:01 dgrp-1.9/
drwxr-xr-x root/root         0 2015-09-24 15:01 dgrp-1.9/dinc/
-rw-r--r-- root/root      3617 2015-09-24 15:01 dgrp-1.9/dinc/Makefile

... and here's the end ...


install -d /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share
install -d /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share/doc
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip /usr/bin/strip
+ /usr/lib/rpm/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
Processing files: dgrp-1.9-36.x86_64
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.OiJAz3
+ umask 022
+ cd /home/myusername/rpmbuild/BUILD
+ cd dgrp-1.9
+ DOCDIR=/home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share/doc/dgrp-1.9
+ export DOCDIR
+ /bin/mkdir -p /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share/doc/dgrp-1.9
+ cp -pr README /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share/doc/dgrp-1.9
+ cp -pr COPYING /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share/doc/dgrp-1.9
+ cp -pr release_notes.txt /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64/usr/share/doc/dgrp-1.9
+ exit 0
Provides: dgrp = 1.9-36 dgrp(x86-64) = 1.9-36
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires(postun): /bin/sh
Requires: /bin/sh libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.15)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.4)(64bit) libc.so.6(GLIBC_2.7)(64bit) libcrypto.so.1.0.0()(64bit) libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit) libncurses.so.5()(64bit) libpanel.so.5()(64bit) libssl.so.1.0.0()(64bit) libssl.so.1.0.0(OPENSSL_1.0.0)(64bit) libtinfo.so.5()(64bit) rtld(GNU_HASH)
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64
Wrote: /home/myusername/rpmbuild/RPMS/x86_64/dgrp-1.9-36.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.CNBRJk
+ umask 022
+ cd /home/myusername/rpmbuild/BUILD
+ cd dgrp-1.9
+ '[' /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64 '!=' / ']'
+ rm -rf /home/myusername/rpmbuild/BUILDROOT/dgrp-1.9-36.x86_64
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.CLFIUB
+ umask 022
+ cd /home/myusername/rpmbuild/BUILD
+ rm -rf dgrp-1.9
+ exit 0



root@LCO-U236487D001:~/Downloads# sudo alien -d --scripts /usr/src/rpm/RPMS/i386/dgrp-1.9-36.i386.rpm
File "/usr/src/rpm/RPMS/i386/dgrp-1.9-36.i386.rpm" not found.
Your log shows the file was written in the rpmbuild path:

Wrote: /home/myusername/rpmbuild/RPMS/x86_64/dgrp-1.9-36.x86_64.rpm

Try:

sudo alien -d --scripts /home/myusername/rpmbuild/RPMS/x86_64/dgrp-1.9-36.x86_64.rpm
0 votes
With the help of other responders, and after finally getting back to working on this, I have a solution for Ubuntu 14.04 LTS (clean install). I post this in case someone else has the same need. The normal disclaimers apply.

[Make temp directory and change directory to it]
sudo apt-get update && sudo apt-get dist-upgrade
sudo apt-get install openssh-server
wget ftp://ftp1.digi.com/support/beta/linux/dgrp/40002086_X6P.src.rpm
sudo sh
apt-get update && apt-get install -y rpm libncurses-dev alien
script
rpmbuild --rebuild 40002086_X6P.src.rpm
cd ~/rpmbuild/RPMS/x86_64
alien -d --scripts dgrp-1.9-36.x86_64.rpm
dpkg -i dgrp_1.9-37_amd64.deb
sudo update-rc.d dgrp_daemon defaults
dgrp_cfg_node init g 10.31.69.58 32 [replace IP address with your IP address and 32 with the number of ports you need]
reboot
answered Apr 19, 2016 by jmarley New to the Community (1 point)
...